IPV6 Compatibility - Mandate 2025

Advertisement

jbracco1180
Joined:
Posts:
1

IPV6 Compatibility - Mandate 2025

WinSCP WinSCP Martin Prikryl 5.17.10 Open source
WinSCP WinSCP Martin Prikryl 5.19.5 Open source
WinSCP WinSCP Martin Prikryl 5.19.6 Open source
WinSCP WinSCP Martin Prikryl 5.21.1 Open source
WinSCP WinSCP Martin Prikryl 5.21.2 Open source
WinSCP WinSCP Martin Prikryl 5.21.3 Open source
WinSCP WinSCP Martin Prikryl 5.9.6 Open source

UCOR is under OMB mandate M-21-07 which requires us to transition to IPv6 only by 2025.
  1. Does software/version above support running on a dual stacked O/S with IPv4 with IPv6?
  2. Does software/version above support running on an IPv6 only O/S?
  3. If so, do you have any special configuration instructions?
  4. If not, do you have a timeframe for upgrading the application to support IPv6?
https://www.whitehouse.gov/wp-content/uploads/2020/11/M-21-07.pdf

Reply with quote

Advertisement

martin
Site Admin
martin avatar
Joined:
Posts:
38,408
Location:
Prague, Czechia

Re: IPV6 Compatibility - Mandate 2025

This is hard question to answer definitively.
We do not explicitly test WinSCP on IPv6-only network.
Also IPv6 support will likely somewhat vary with protocol used.
Though we didn't receive any report regarding problem on IPv6-only network, so I believe WinSCP should support them (at least with widely used protocols such as SFTP and FTP).

Reply with quote

Advertisement

You can post new topics in this forum